///////////////////////////////////////////////////////
//Beispiel aus Kapitel Bibliotheken: Simplex Noise
/////////////////////////////////////////////////////

import toxi.math.noise.*;

color farbe;
/////////////////////////////////
//2D Simplex Noise Farben
//////////////////////////////
float r,g,b;
float rN,gN,bN;
float delta;

void setup(){
  size(300,300);
  r=g=b=0;
  rN=0;
  gN=1;
  bN=2;
  delta =0.01;
  for(float j=0;j<height*delta;j+=delta){
    for(float i=0;i<width*delta;i+=delta){   
      r= 255*(float)((SimplexNoise.noise(rN+i,rN+j)+1))/2;
      g= 255*(float)((SimplexNoise.noise(gN+i,gN+j)+1))/2;
      b= 255*(float)((SimplexNoise.noise(bN+i,bN+j)+1))/2;       
      farbe = color(r,g,b);     
      set(round(i*100),round(j*100),farbe); 
    }   
  } 
}